extensions / Commerce extension
GET
/__runtime/subscription/free_trial/hashGet Free Trial Hash
Evaluates free-trial eligibility for a storefront subscription and returns a claim hash, redirect, or ineligibility reason.
GET
Authentication
- Requirement
- Not specified
- Credential type
- Not specified
- Scopes
- Not specified
Permissions
- Public storefront endpoint resolved from the request Host; an authenticated storefront session is optional.
Headers
| Name | Required | Type | Details |
|---|---|---|---|
Cookie | Yes | Not specified | Description: Value used by this operation. |
Authorization | Yes | Not specified | Description: Bearer credential used to authenticate the request. |
Path Parameters
Query Parameters
| Name | Required | Type | Details |
|---|---|---|---|
subscription_id | No | string | Description: Identifier for subscription. |
device_hash | No | string | Description: Text value. |
Request Body
Response Body
Example 200 response
json
{
"eligible": "string",
"reason": "string",
"claimed": "string",
"status": "active",
"redirect_url": "string",
"hash": "string",
"requires_signup": "string",
"signup_url": "string"
}Errors
400 BAD_REQUEST500 INTERNAL_SERVER_ERRORAvailability
- Available in
- v0.1.0
- Available since
- v0.1.0
- Implementation
- Available
- Deprecation
- Not specified
- Rate limits
- Not specified

